%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Services_Weather

Name:           php-pear-Services-Weather
Version:        1.4.7
Release:        1%{?dist}
Summary:        Interface to various online weather-services.

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Services_Weather
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
# For test suite
#BuildRequires:  php-pear(pear.phpunit.de/PHPUnit)

Requires:       php-pear(PEAR) 
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}


%description
Services_Weather searches for given locations and retrieves current
weather data and, dependent on the used service, also forecasts. Up to
now, GlobalWeather from CapeScience, Weather XML from EJSE (US only),
a XOAP service from Weather.com and METAR/TAF from NOAA are supported.
Further services will get included, if they become available, have a
usable API and are properly documented.


%prep
%setup -cT
ustar -xzv < %{SOURCE0}
%{_bindir}/php -n %{SOURCE2} package.xml | tee CHANGELOG | head -n 10

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


#%check
#cd %{pear_name}-%{version}
#phpunit \
#   -d date.timezone=UTC \
#   -d include_path=%{pear_phpdir}:$RPM_BUILD_ROOT%{pear_phpdir} \
#   tests


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%{pear_xmldir}/%{name}.xml
#%{pear_testdir}/%{pear_name}
%{pear_phpdir}/Services/Weather.php
%{pear_phpdir}/Services/Weather
%{pear_phpdir}/doc/%{pear_name}
%{pear_phpdir}/data/%{pear_name}
#%{pear_phpdir}/test/%{pear_name}


%changelog
* Mon Oct 10 2011 Lux <luigi@iotti.biz> - 1.0.0RC6
- Initial Release
